__gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc > Struct Template Reference

`#include <hashtable.h>`

## Public Types

typedef hashtable< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc > | _Hashtable
typedef _Hashtable_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc > | iterator
typedef _Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc > | const_iterator
typedef _Hashtable_node< _Val > | _Node
typedef forward_iterator_tag | iterator_category
typedef _Val | value_type
typedef ptrdiff_t | difference_type
typedef size_t | size_type
typedef const _Val & | reference
typedef const _Val * | pointer

## Public Member Functions

| _Hashtable_const_iterator (const _Node *__n, const _Hashtable *__tab)
| _Hashtable_const_iterator ()
| _Hashtable_const_iterator (const iterator &__it)
reference | operator* () const
pointer | operator-> () const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
bool | operator== (const const_iterator &__it) const
bool | operator!= (const const_iterator &__it) const

## Public Attributes

const _Node * | _M_cur
const _Hashtable * | _M_ht

## Detailed Description

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>
struct __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >

Definition at line 158 of file hashtable.h.

## Member Typedef Documentation

## _Hashtable

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef hashtable<_Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc> __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::_Hashtable

Definition at line 161 of file hashtable.h.

## _Node

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef _Hashtable_node<_Val> __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::_Node

Definition at line 168 of file hashtable.h.

## const_iterator

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef _Hashtable_const_iterator<_Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc> __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::const_iterator

Definition at line 167 of file hashtable.h.

## difference_type

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef ptrdiff_t __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::difference_type

Definition at line 172 of file hashtable.h.

## iterator

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef _Hashtable_iterator<_Val,_Key,_HashFcn, _ExtractKey,_EqualKey,_Alloc> __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::iterator

Definition at line 164 of file hashtable.h.

## iterator_category

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef forward_iterator_tag __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::iterator_category

Definition at line 170 of file hashtable.h.

## pointer

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef const _Val* __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::pointer

Definition at line 175 of file hashtable.h.

## reference

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef const _Val& __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::reference

Definition at line 174 of file hashtable.h.

## size_type

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef size_t __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::size_type

Definition at line 173 of file hashtable.h.

## value_type

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

typedef _Val __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::value_type

Definition at line 171 of file hashtable.h.

## Constructor & Destructor Documentation

## _Hashtable_const_iterator() [1/3]

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

__gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::_Hashtable_const_iterator | ( | const _Node * | __n,
|  | const _Hashtable * | __tab )

inline

Definition at line 180 of file hashtable.h.

## _Hashtable_const_iterator() [2/3]

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

__gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::_Hashtable_const_iterator | ( |  | ) |

inline

Definition at line 183 of file hashtable.h.

## _Hashtable_const_iterator() [3/3]

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

__gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::_Hashtable_const_iterator | ( | const iterator & | __it | ) |

inline

Definition at line 185 of file hashtable.h.

## Member Function Documentation

## operator!=()

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

bool __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::operator!= | ( | const const_iterator & | __it | ) | const

inline

Definition at line 207 of file hashtable.h.

## operator*()

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

reference __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::operator* | ( |  | ) | const

inline

Definition at line 189 of file hashtable.h.

## operator++() [1/2]

template<class _Val, class _Key, class _HF, class _ExK, class _EqK, class _All>

_Hashtable_const_iterator< _Val, _Key, _HF, _ExK, _EqK, _All > & __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HF, _ExK, _EqK, _All >::operator++ | ( |  | ) |

Definition at line 665 of file hashtable.h.

## operator++() [2/2]

template<class _Val, class _Key, class _HF, class _ExK, class _EqK, class _All>

_Hashtable_const_iterator< _Val, _Key, _HF, _ExK, _EqK, _All > __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HF, _ExK, _EqK, _All >::operator++ | ( | int |  | ) |

inline

Definition at line 682 of file hashtable.h.

## operator->()

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

pointer __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::operator-> | ( |  | ) | const

inline

Definition at line 193 of file hashtable.h.

## operator==()

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

bool __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::operator== | ( | const const_iterator & | __it | ) | const

inline

Definition at line 203 of file hashtable.h.

## Member Data Documentation

## _M_cur

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

const _Node* __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::_M_cur

Definition at line 177 of file hashtable.h.

## _M_ht

template<class _Val, class _Key, class _HashFcn, class _ExtractKey, class _EqualKey, class _Alloc>

const _Hashtable* __gnu_cxx::_Hashtable_const_iterator< _Val, _Key, _HashFcn, _ExtractKey, _EqualKey, _Alloc >::_M_ht

Definition at line 178 of file hashtable.h.

The documentation for this struct was generated from the following file:

- src/hash_map/hashtable.h